Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1359339 - KDE (Plasma 5): dolphin has no PDF/PS previews (thumbnails)
Summary: KDE (Plasma 5): dolphin has no PDF/PS previews (thumbnails)
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kdegraphics-thumbnailers
Version: 23
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-22 21:19 UTC by Massimiliano
Modified: 2016-12-17 15:41 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-17 15:41:23 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
KDE Software Compilation 351913 None None None 2016-07-22 21:19:53 UTC
KDE Software Compilation 353714 None None None 2016-07-22 21:20:39 UTC

Description Massimiliano 2016-07-22 21:19:53 UTC
Description of problem:
Dolphin (and plasma folder view) does not offer previews for PDF and PS files like in previous releases.

Version-Release number of selected component (if applicable):
$ rpm -q kdegraphics-thumbnailers
kdegraphics-thumbnailers-15.04.2-2.fc23.x86_64
$ rpm -q dolphin
dolphin-15.12.3-1.fc23.x86_64

How reproducible:
Always.

Additional info:
Probably the kdegraphics-thumbnailers package needs to be updated.

See also:
https://bugs.kde.org/show_bug.cgi?id=351913
https://bugs.kde.org/show_bug.cgi?id=353714

Comment 1 Rex Dieter 2016-07-23 15:28:51 UTC
Problem being that much of our graphics stack applications, including gwenview and digikam are kde4-based.  If we upgrade kdegraphics-thumbnailers to support (kf5) dolphin, then those other applications will lose thumbnailer support.

Will have to think on this (for some smart way to support both).

Comment 2 Massimiliano 2016-10-16 22:21:30 UTC
It seems this problem has been solved in F24 for dolphin preview and plasma folder view.

Are there any side effects?

Comment 3 Fedora End Of Life 2016-11-25 09:27:41 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.